Global Fishing Watch API
ExamplesBulk Download

Get data as json sort by structure start date DESC and only structure id field

Example query of a bulk report as JSON, sorted by structure start date descending, returning only the structure id field.

Query parameters

ParameterValueDescription
idadbb9b62-5c08-4142-82e0-b2b575f3e058ID of the bulk report to query
limit50Maximum number of records to return
offset0Number of records to skip
sortstructure_start_dateSort by structure start date

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports/adbb9b62-5c08-4142-82e0-b2b575f3e058/query?limit=50&offset=0&sort=structure_start_date' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer TOKEN'

Response

   {
    "metadata": {},
    "limit": 50,
    "offset": 0,
    "nextOffset": null,
    "total": 6,
    "entries": [
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20230901T000000_20240301T000000_FULL_23_TILE_351;-68.2424070;-52.562853",
            "detection_date": "2023-12-01",
            "structure_id": "1038238",
            "lon": -68.2424070202361,
            "lat": -52.56303238815715,
            "structure_start_date": "2023-05-01",
            "structure_end_date": "2023-12-01",
            "label": "oil",
            "label_confidence": "medium"
        },
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20230201T000000_20230801T000000_FULL_23_TILE_351;-68.2424070;-52.563032",
            "detection_date": "2023-05-01",
            "structure_id": "1038238",
            "lon": -68.2424070202361,
            "lat": -52.56303238815715,
            "structure_start_date": "2023-05-01",
            "structure_end_date": "2023-12-01",
            "label": "oil",
            "label_confidence": "medium"
        },
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20231001T000000_20240401T000000_FULL_42_TILE_263;-56.7082180;-36.310353",
            "detection_date": "2024-01-01",
            "structure_id": "1050381",
            "lon": -56.708218435198276,
            "lat": -36.310352941753116,
            "structure_start_date": "2024-01-01",
            "structure_end_date": "2024-06-01",
            "label": "noise",
            "label_confidence": "medium"
        },
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20240201T000000_20240801T000000_FULL_23_TILE_370;-69.0481960;-51.269099",
            "detection_date": "2024-05-01",
            "structure_id": "1050783",
            "lon": -69.04837549314813,
            "lat": -51.26909905291139,
            "structure_start_date": "2024-01-01",
            "structure_end_date": "2024-05-01",
            "label": "noise",
            "label_confidence": "medium"
        },
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20231001T000000_20240401T000000_FULL_23_TILE_370;-69.0483750;-51.269099",
            "detection_date": "2024-01-01",
            "structure_id": "1050783",
            "lon": -69.04837549314813,
            "lat": -51.26909905291139,
            "structure_start_date": "2024-01-01",
            "structure_end_date": "2024-05-01",
            "label": "noise",
            "label_confidence": "medium"
        },
        {
            "detection_id": "S1AB_AD_MEDIAN_COMP_20240301T000000_20240901T000000_FULL_42_TILE_263;-56.7082180;-36.310353",
            "detection_date": "2024-06-01",
            "structure_id": "1050381",
            "lon": -56.708218435198276,
            "lat": -36.310352941753116,
            "structure_start_date": "2024-01-01",
            "structure_end_date": "2024-06-01",
            "label": "noise",
            "label_confidence": "medium"
        }
    ]
}